Loading...
Searching...
No Matches
opengv::relative_pose::NoncentralRelativeMultiAdapter Class Reference

`#include <NoncentralRelativeMultiAdapter.hpp>`

Inheritance diagram for opengv::relative_pose::NoncentralRelativeMultiAdapter:

## Public Member Functions

EIGEN_MAKE_ALIGNED_OPERATOR_NEW | NoncentralRelativeMultiAdapter (std::vector< std::shared_ptr< bearingVectors_t > > bearingVectors1, std::vector< std::shared_ptr< bearingVectors_t > > bearingVectors2, const translations_t &camOffsets, const rotations_t &camRotations)
| Constructor. See protected class-members to understand parameters.
virtual | ~NoncentralRelativeMultiAdapter ()
| Destructor.
virtual bearingVector_t | getBearingVector1 (size_t pairIndex, size_t correspondenceIndex) const
virtual bearingVector_t | getBearingVector2 (size_t pairIndex, size_t correspondenceIndex) const
virtual double | getWeight (size_t camIndex, size_t correspondenceIndex) const
virtual translation_t | getCamOffset (size_t pairIndex) const
virtual rotation_t | getCamRotation (size_t pairIndex) const
virtual size_t | getNumberCorrespondences (size_t pairIndex) const
virtual size_t | getNumberPairs () const
virtual std::vector< int > | convertMultiIndices (const std::vector< std::vector< int > > &multiIndices) const
virtual int | convertMultiIndex (size_t camIndex, size_t correspondenceIndex) const
virtual int | multiPairIndex (size_t index) const
virtual int | multiCorrespondenceIndex (size_t index) const
Public Member Functions inherited from opengv::relative_pose::RelativeMultiAdapterBase
EIGEN_MAKE_ALIGNED_OPERATOR_NEW | RelativeMultiAdapterBase ()
| RelativeMultiAdapterBase (const rotation_t &R12)
| RelativeMultiAdapterBase (const translation_t &t12, const rotation_t &R12)
virtual | ~RelativeMultiAdapterBase ()
virtual bearingVector_t | getBearingVector1 (size_t index) const
virtual bearingVector_t | getBearingVector2 (size_t index) const
virtual double | getWeight (size_t index) const
virtual translation_t | getCamOffset1 (size_t index) const
virtual rotation_t | getCamRotation1 (size_t index) const
virtual translation_t | getCamOffset2 (size_t index) const
virtual rotation_t | getCamRotation2 (size_t index) const
virtual size_t | getNumberCorrespondences () const
Public Member Functions inherited from opengv::relative_pose::RelativeAdapterBase
EIGEN_MAKE_ALIGNED_OPERATOR_NEW | RelativeAdapterBase ()
| Constructor.
| RelativeAdapterBase (const rotation_t &R12)
| Constructor.
| RelativeAdapterBase (const translation_t &t12, const rotation_t &R12)
| Constructor.
virtual | ~RelativeAdapterBase ()
| Destructor.
opengv::translation_t | gett12 () const
| Retrieve the prior or known value for the relative position.
void | sett12 (const opengv::translation_t &t12)
| Set the prior or known value for the relative position.
opengv::rotation_t | getR12 () const
| Retrieve the prior or known value for the relative rotation.
void | setR12 (const opengv::rotation_t &R12)
| Set the prior or known value for the relative rotation.

## Protected Attributes

std::vector< std::shared_ptr< bearingVectors_t > > | _bearingVectors1
std::vector< std::shared_ptr< bearingVectors_t > > | _bearingVectors2
const translations_t & | _camOffsets
const rotations_t & | _camRotations
std::vector< int > | multiPairIndices
std::vector< int > | multiKeypointIndices
std::vector< int > | singleIndexOffsets
Protected Attributes inherited from opengv::relative_pose::RelativeMultiAdapterBase
opengv::translation_t | _t12
opengv::rotation_t | _R12
Protected Attributes inherited from opengv::relative_pose::RelativeAdapterBase
opengv::translation_t | _t12
opengv::rotation_t | _R12

## Detailed Description

Check the documentation of the parent-class to understand the meaning of a RelativeMultiAdapter. This child-class is for the relative non-central case and holds data in form of references to opengv-types. It is meant to be used for problems involving two non-central viewpoints, but in the special case where correspondences result from two cameras with equal transformation to their two viewpoints.

## Member Function Documentation

## convertMultiIndex()

virtual int opengv::relative_pose::NoncentralRelativeMultiAdapter::convertMultiIndex | ( | size_t | camIndex,
|  | size_t | correspondenceIndex ) const

virtual

See parent-class

Implements opengv::relative_pose::RelativeMultiAdapterBase.

## convertMultiIndices()

virtual std::vector< int > opengv::relative_pose::NoncentralRelativeMultiAdapter::convertMultiIndices | ( | const std::vector< std::vector< int > > & | multiIndices | ) | const

virtual

See parent-class

Implements opengv::relative_pose::RelativeMultiAdapterBase.

## getBearingVector1()

virtual bearingVector_t opengv::relative_pose::NoncentralRelativeMultiAdapter::getBearingVector1 | ( | size_t | pairIndex,
|  | size_t | correspondenceIndex ) const

virtual

See parent-class

Implements opengv::relative_pose::RelativeMultiAdapterBase.

## getBearingVector2()

virtual bearingVector_t opengv::relative_pose::NoncentralRelativeMultiAdapter::getBearingVector2 | ( | size_t | pairIndex,
|  | size_t | correspondenceIndex ) const

virtual

See parent-class

Implements opengv::relative_pose::RelativeMultiAdapterBase.

## getCamOffset()

virtual translation_t opengv::relative_pose::NoncentralRelativeMultiAdapter::getCamOffset | ( | size_t | pairIndex | ) | const

virtual

See parent-class

Implements opengv::relative_pose::RelativeMultiAdapterBase.

## getCamRotation()

virtual rotation_t opengv::relative_pose::NoncentralRelativeMultiAdapter::getCamRotation | ( | size_t | pairIndex | ) | const

virtual

See parent-class

Implements opengv::relative_pose::RelativeMultiAdapterBase.

## getNumberCorrespondences()

virtual size_t opengv::relative_pose::NoncentralRelativeMultiAdapter::getNumberCorrespondences | ( | size_t | pairIndex | ) | const

virtual

See parent-class

Implements opengv::relative_pose::RelativeMultiAdapterBase.

## getNumberPairs()

virtual size_t opengv::relative_pose::NoncentralRelativeMultiAdapter::getNumberPairs | ( |  | ) | const

virtual

See parent-class

Implements opengv::relative_pose::RelativeMultiAdapterBase.

## getWeight()

virtual double opengv::relative_pose::NoncentralRelativeMultiAdapter::getWeight | ( | size_t | camIndex,
|  | size_t | correspondenceIndex ) const

virtual

See parent-class

Implements opengv::relative_pose::RelativeMultiAdapterBase.

## multiCorrespondenceIndex()

virtual int opengv::relative_pose::NoncentralRelativeMultiAdapter::multiCorrespondenceIndex | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::relative_pose::RelativeMultiAdapterBase.

## multiPairIndex()

virtual int opengv::relative_pose::NoncentralRelativeMultiAdapter::multiPairIndex | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::relative_pose::RelativeMultiAdapterBase.

## Member Data Documentation

## _bearingVectors1

std::vector<std::shared_ptr<bearingVectors_t> > opengv::relative_pose::NoncentralRelativeMultiAdapter::_bearingVectors1

protected

References to multiple sets of bearing-vectors (the ones from camera 1 of each pair, and expressed in there).

## _bearingVectors2

std::vector<std::shared_ptr<bearingVectors_t> > opengv::relative_pose::NoncentralRelativeMultiAdapter::_bearingVectors2

protected

References to multiple sets of bearing-vectors (the ones from camera 2 of each pair, and expressed in there).

## _camOffsets

const translations_t& opengv::relative_pose::NoncentralRelativeMultiAdapter::_camOffsets

protected

Reference to positions of the different cameras seen from the viewpoints.

## _camRotations

const rotations_t& opengv::relative_pose::NoncentralRelativeMultiAdapter::_camRotations

protected

Reference to rotations from the different cameras back to the viewpoints.

## multiKeypointIndices

std::vector<int> opengv::relative_pose::NoncentralRelativeMultiAdapter::multiKeypointIndices

protected

Initialized in constructor, used for (de)-serialiaztion of indices

## multiPairIndices

std::vector<int> opengv::relative_pose::NoncentralRelativeMultiAdapter::multiPairIndices

protected

Initialized in constructor, used for (de)-serialiaztion of indices

## singleIndexOffsets

std::vector<int> opengv::relative_pose::NoncentralRelativeMultiAdapter::singleIndexOffsets

protected

Initialized in constructor, used for (de)-serialiaztion of indices

The documentation for this class was generated from the following file:

- include/opengv/relative_pose/NoncentralRelativeMultiAdapter.hpp